1

I have been compiling my C++ project using M-x compile which I like because it provides highlighted links to my errors:

highlighted compile errors

However after adding:

(add-to-list 'load-path
         "~/.emacs.d/plugins/yasnippet")
(require 'yasnippet)
(yas-global-mode 1)

to my .emacs file this no longer works:

compile errors not highlighted

I'd really like to use yasnippet and have my compile errors highlighted, anyone have any idea how to fix this? I'm using GNU Emacs 24.3.1

  • If this reproduces in emacs -Q, then it's likely a bug, and you may want to consider reporting it. – PythonNut Apr 2 '16 at 15:39
0

As mentioned in the issue here, this was fixed by updating yasnippet to the version from github. The version on the GNU ELPA repo (0.8.0) is quite old.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.